## gate
Interface FeatureMap

All Superinterfaces:
  Map

All Known Implementing Classes:
  SimpleFeatureMapImpl

public interface FeatureMap
extends Map

An attribute-value matrix. Represents the content of an annotation, the meta-data on a resource, and anything else we feel like. The event code is needed so a persistent annotation can fire updated events when its features are updated

Inner classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`void` `addFeatureMapListener(FeatureMapListener l)` Adds a gate listener
`void` `removeFeatureMapListener(FeatureMapListener l)` Removes a gate listener
`boolean` `subsumes(FeatureMap aFeatureMap)` Tests if this featureMap object includes aFeatureMap features.
`boolean` `subsumes(FeatureMap aFeatureMap, Set aFeatureNamesSet)` Tests if this featureMap object includes aFeatureMap but only for the features present in the aFeatureNamesSet.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### subsumes

    public boolean subsumes(FeatureMap aFeatureMap)

  Tests if this featureMap object includes aFeatureMap features.
  Parameters:
    `aFeatureMap` - object which will be included or not in this FeatureMap obj.
  Returns:
    `true` if this includes aFeatureMap and `false` if not.

### subsumes

    public boolean subsumes(FeatureMap aFeatureMap,
                            Set aFeatureNamesSet)

  Tests if this featureMap object includes aFeatureMap but only for the features present in the aFeatureNamesSet.
  Parameters:
    `aFeatureMap` - which will be included or not in this FeatureMap obj.
    `aFeatureNamesSet` - is a set of strings representing the names of the features that would be considered for subsumes.
  Returns:
    `true` if all features present in the aFeaturesNameSet from aFeatureMap are included in this obj, or `false` otherwise.

### removeFeatureMapListener

    public void removeFeatureMapListener(FeatureMapListener l)

  Removes a gate listener

### addFeatureMapListener

    public void addFeatureMapListener(FeatureMapListener l)

  Adds a gate listener